Results 1 to 2 of 2

Thread: Google API Maps Required

  1. #1
    Sencha Premium Member
    Join Date
    Sep 2012
    Location
    Singapore
    Posts
    54
    Answers
    3

    Default Answered: Google API Maps Required

    I've scanned through the forum but couldn't find an answer.

    I use Sencha Architect and create a new project based on the Map sample template.
    I could run it on a browser and the map will show up but when compile natively to IOS Simulator or even running on iPhone device it returns "Google API Maps required".

    Any idea?



  2. Add this to app plist

    <key>NSAppTransportSecurity</key> <dict> <!--Include to allow all connections (DANGER)--> <key>NSAllowsArbitraryLoads</key> <true/> </dict>

  3. #2
    Sencha Premium Member
    Join Date
    Sep 2012
    Location
    Singapore
    Posts
    54
    Answers
    3

    Cool Add into plist



    Add this to app plist

    <key>NSAppTransportSecurity</key> <dict> <!--Include to allow all connections (DANGER)--> <key>NSAllowsArbitraryLoads</key> <true/> </dict>

Similar Threads

  1. Google Maps Api required
    By u25771 in forum Sencha Touch 2.x: Q&A
    Replies: 5
    Last Post: 12 Mar 2014, 6:28 AM
  2. google maps api required??
    By mihaipocorschi in forum Sencha Touch 2.x: Discussion
    Replies: 1
    Last Post: 6 Jul 2012, 4:54 AM
  3. Is Google Maps API key required?
    By robl in forum Sencha Touch 2.x: Q&A
    Replies: 1
    Last Post: 28 Oct 2011, 6:33 AM
  4. Google Maps API is Required
    By Sasha172 in forum Sencha Touch 2.x: Q&A
    Replies: 5
    Last Post: 21 Oct 2011, 4:26 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •